%define major		0
%define libname		%mklibname v4l %{major}
%define develname	%mklibname v4l -d
%define wrappersname	%mklibname v4l-wrappers

Name:		v4l-utils
Version:	1.12.3
Release:	%mkrel 2
Summary:	Linux V4L2 and DVB API utilities
License:	LGPLv2+
Group:		System/Libraries
URL:		http://git.linuxtv.org/v4l-utils.git
Source:		http://linuxtv.org/downloads/%{name}/%{name}-%{version}.tar.bz2
Patch0:		v4l-utils-1.12.3-pthread.patch

BuildRequires:	libsysfs-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(x11)

Conflicts:	ivtv-utils <= 1.4.0-1mdv2010.1
Obsoletes:	libv4l <= 0.6.4-1mdv2010.1
Requires:	%{wrappersname} >= %{version}-%{release}

%description
v4l-utils is the combination of various v4l and dvb utilities which
used to be part of the v4l-dvb mercurial kernel tree.

%package -n	v4l-utils-qt5
Summary:	Qt5 tools for v4l applications
Group:		System/Libraries
Obsoletes:	v4l-utils-qt4 < 1.12.3-1
Provides:	v4l-utils-qt4 = %{version}-%{release}
Conflicts:	libv4l <= 0.7.91-1mdv2010.1

%description -n	v4l-utils-qt5
v4l-utils-qt5 is a Qt5 gui for the v4l-utils tools.

%package -n	%{wrappersname}
Summary:	Wrappers for v4l applications
Group:		System/Libraries
Conflicts:	libv4l <= 0.5.9-1mdv2010.0

%description -n %{wrappersname}
This package contains wrapper libraries that adds v4l2 device
compatibility for v4l1 applications and support for various
pixelformats to v4l2 applications.

%package -n	%{libname}
Summary:	Thin abstraction layer for video4linux2 devices
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
libv4l is a collection of libraries which adds a thin abstraction
layer on top of video4linux2 devices. The purpose of this (thin)
layer is to make it easy for application writers to support a wide
variety of devices without having to write separate code for
different devices in the same class.

%package -n	%{develname}
Summary:	Development files from libv4l
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libv4l-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files needed to build
programs that use libv4l.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

%find_lang %{name}
%find_lang libdvbv5

# already provided by ivtv-utils package, more uptodate/complete there
rm -f %{buildroot}%{_bindir}/ivtv-ctl

%files -f %{name}.lang -f libdvbv5.lang
%{_bindir}/cec-compliance
%{_bindir}/cec-ctl
%{_bindir}/cec-follower
%{_bindir}/cx18-ctl
%{_bindir}/decode_tm6000
%{_bindir}/dvb-fe-tool
%{_bindir}/dvb-format-convert
%{_bindir}/dvbv5-daemon
%{_bindir}/dvbv5-scan
%{_bindir}/dvbv5-zap
%{_bindir}/ir-ctl
%{_bindir}/ir-keytable
%{_bindir}/media-ctl
%{_bindir}/rds-ctl
%{_bindir}/v4l2-compliance
%{_bindir}/v4l2-ctl
%{_bindir}/v4l2-sysfs-path
%{_sbindir}/v4l2-dbg
%{_prefix}/lib/udev/rc_keymaps
%dir %{_sysconfdir}/rc_keymaps
%{_sysconfdir}/rc_maps.cfg
%{_udevrulesdir}/70-infrared.rules
%{_mandir}/man*/*

%files -n	v4l-utils-qt5
%{_bindir}/qv4l2
%{_datadir}/applications/qv4l2.desktop
%{_iconsdir}/hicolor/*/apps/qv4l2.*

%files -n	%{wrappersname}
%dir %{_libdir}/libv4l
%dir %{_libdir}/libv4l/plugins
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so
%{_libdir}/libv4l/*-decomp
%{_libdir}/libv4l/plugins/libv4l-mplane.so

%files -n	%{libname}
%{_libdir}/libdvbv5.so.%{major}*
%{_libdir}/libv4l1.so.%{major}*
%{_libdir}/libv4l2.so.%{major}*
%{_libdir}/libv4l2rds.so.%{major}*
%{_libdir}/libv4lconvert.so.%{major}*

%files -n	%{develname}
%{_includedir}/libdvbv5/*.h
%{_includedir}/libv4l-plugin.h
%{_includedir}/libv4l1.h
%{_includedir}/libv4l1-videodev.h
%{_includedir}/libv4l2.h
%{_includedir}/libv4l2rds.h
%{_includedir}/libv4lconvert.h
%{_libdir}/libdvbv5.so
%{_libdir}/libv4l1.so
%{_libdir}/libv4l2.so
%{_libdir}/libv4l2rds.so
%{_libdir}/libv4lconvert.so
%{_libdir}/v4l1compat.so
%{_libdir}/v4l2convert.so
%{_libdir}/pkgconfig/libdvbv5.pc
%{_libdir}/pkgconfig/libv4l1.pc
%{_libdir}/pkgconfig/libv4l2.pc
%{_libdir}/pkgconfig/libv4l2rds.pc
%{_libdir}/pkgconfig/libv4lconvert.pc


%changelog
* Fri Mar 10 2017 akien <akien> 1.12.3-2.mga6
+ Revision: 1091584
- Enable ALSA support
- Rename -qt4 package to -qt5

  + ghibo <ghibo>
    - Update to release 1.12.3.
    - Added Patch1 because of missed symbols during linking.

* Tue Jul 05 2016 akien <akien> 1.10.1-1.mga6
+ Revision: 1039045
- Version 1.10.1

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.10.0-1.mga6
+ Revision: 927489
- 1.10.0

* Tue Oct 27 2015 ycantin <ycantin> 1.8.1-1.mga6
+ Revision: 895792
- new version 1.8.1
- add lang files

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 837339
- remove upstreamed patches
- 1.6.2

* Tue Feb 03 2015 lmenut <lmenut> 1.4.0-4.mga5
+ Revision: 813237
- add upstream patches from stable-1.4 branch to fix buffer pool activation
  (mga#14499)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-3.mga5
+ Revision: 742392
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-2.mga5
+ Revision: 690115
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 1.4.0-1.mga5
+ Revision: 673755
- Version 1.4.0

* Wed Jul 02 2014 luigiwalser <luigiwalser> 1.2.1-1.mga5
+ Revision: 642388
- 1.2.1

* Fri Feb 14 2014 luigiwalser <luigiwalser> 1.0.1-1.mga5
+ Revision: 591404
- 1.0.1

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 532167
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 1.0.0-1.mga4
+ Revision: 467221
- update file list
- update file list
- new version 1.0.0

* Sat Jun 15 2013 luigiwalser <luigiwalser> 0.9.5-2.mga4
+ Revision: 443532
- BR udev-devel

* Sat Jun 15 2013 luigiwalser <luigiwalser> 0.9.5-1.mga4
+ Revision: 443526
- 0.9.5
- BR libglu-devel
- use configure script
- update files list

* Mon Jan 14 2013 umeabot <umeabot> 0.8.9-2.mga3
+ Revision: 385213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 luigiwalser <luigiwalser> 0.8.9-1.mga3
+ Revision: 311670
- 0.8.9

* Mon Aug 13 2012 luigiwalser <luigiwalser> 0.8.8-1.mga3
+ Revision: 281023
- spec fixes from mdv

  + tv <tv>
    - new release

* Fri Mar 02 2012 fwang <fwang> 0.8.6-1.mga2
+ Revision: 216631
- new version 0.8.6

  + tv <tv>
    - further fix file list
    - fix file list
    - new release

* Tue Jun 14 2011 tv <tv> 0.8.4-1.mga2
+ Revision: 106077
- adjust file list
- fix udev rules path
- new release

* Wed Apr 13 2011 tv <tv> 0.8.3-1.mga1
+ Revision: 84184
- adjust file list
- new release

* Sat Jan 15 2011 mikala <mikala> 0.8.1-1.mga1
+ Revision: 18523
- imported package v4l-utils

